%global dlrn_nvr os_vif-2.4.1-1.20221116073808.6b2050b
%global dlrn 1
%define upstream_version 2.4.1
%{!?sources_gpg: %{!?dlrn:%global sources_gpg 1} }
%global sources_gpg_sign 0xa7475c5f2122fec3f90343223fe3bf5aad1080e4
%{!?upstream_version: %global upstream_version %{version}%{?milestone}}
%global with_doc 0

%global library os-vif
%global module os_vif

Name:       python-%{library}
Version: 2.4.1
Release: 1.20221116073809%{?dist}
Summary:    OpenStack os-vif library
License:    ASL 2.0
URL:        http://launchpad.net/%{library}/

Source0: os_vif-2.4.1-1.20221116073808.6b2050b.tar.gz
#
# patches_ignore=DROP-IN-RPM
# patches_base=6b2050be4a9d90ab81bd77a6b2acc8fe451be379
Patch0001: 0001-Check-for-hybrid-plugging-in-OVS.patch
Patch0002: 0002-Use-TCP-keepalives-for-ovsdb-connections.patch
Patch0003: 0003-only-register-tables-used-by-os-vif.patch
Patch0004: 0004-set-default-qos-policy.patch

# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
Source101:        http://tarballs.openstack.org/%{library}/%{module}-%{upstream_version}.tar.gz.asc
Source102:        https://releases.openstack.org/_static/%{sources_gpg_sign}.txt
%endif

BuildArch:  noarch

# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
BuildRequires:  /usr/bin/gpgv2
BuildRequires:  openstack-macros
%endif

%package -n python3-%{library}
Summary:    OpenStack os-vif library
%{?python_provide:%python_provide python3-%{library}}

BuildRequires:  python3-devel
BuildRequires:  python3-pbr
BuildRequires:  python3-setuptools
BuildRequires:  git-core
BuildRequires:  python3-subunit
BuildRequires:  python3-oslotest
BuildRequires:  python3-os-testr
BuildRequires:  python3-pyroute2
BuildRequires:  python3-testtools
BuildRequires:  python3-oslo-log
BuildRequires:  python3-oslo-concurrency
BuildRequires:  python3-oslo-privsep
BuildRequires:  python3-oslo-versionedobjects
BuildRequires:  python3-oslo-versionedobjects-tests
BuildRequires:  python3-ovsdbapp
BuildRequires:  python3-testrepository
BuildRequires:  python3-testscenarios

Requires:   python3-debtcollector >= 1.19.0
Requires:   python3-pbr >= 2.0.0
Requires:   python3-oslo-config >= 2:5.1.0
Requires:   python3-oslo-log >= 3.30.0
Requires:   python3-oslo-i18n >= 3.15.3
Requires:   python3-oslo-privsep >= 1.23.0
Requires:   python3-oslo-versionedobjects >= 1.28.0
Requires:   python3-pyroute2 >= 0.5.2
Requires:   python3-stevedore >= 1.20.0
Requires:   python3-oslo-concurrency >= 3.20.0
Requires:   python3-ovsdbapp >= 0.12.1
Requires:   python3-netaddr >= 0.7.18

%description -n python3-%{library}
A library for plugging and unplugging virtual interfaces in OpenStack.


%package -n python3-%{library}-tests
Summary:    OpenStack os-vif library tests
Requires:   python3-%{library} = %{version}-%{release}
Requires:   python3-subunit
Requires:   python3-oslotest
Requires:   python3-os-testr
Requires:   python3-testtools
Requires:   python3-oslo-versionedobjects-tests
Requires:   python3-testrepository
Requires:   python3-testscenarios


%description -n python3-%{library}-tests
A library for plugging and unplugging virtual interfaces in OpenStack.

This package contains the library test files.

%if 0%{?with_doc}
%package -n python-%{library}-doc
Summary:    OpenStack os-vif library documentation

BuildRequires: python3-sphinx
BuildRequires: python3-openstackdocstheme
BuildRequires: python3-reno

%description -n python-%{library}-doc
A library for plugging and unplugging virtual interfaces in OpenStack.

This package contains the documentation.
%endif

%description
A library for plugging and unplugging virtual interfaces in OpenStack.

%prep
# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
%{gpgverify}  --keyring=%{SOURCE102} --signature=%{SOURCE101} --data=%{SOURCE0}
%endif
%autosetup -n %{module}-%{upstream_version} -S git

# Let's handle dependencies ourseleves
rm -f *requirements.txt

%build
%{py3_build}

%if 0%{?with_doc}
# generate html docs
export PYTHONPATH=.
sphinx-build-3 -b html doc/source doc/build/html
# remove the sphinx-build-3 leftovers
rm -rf doc/build/html/.{doctrees,buildinfo}
%endif

%install
%{py3_install}

%check
export OS_TEST_PATH='./os_vif/tests/unit'
export PATH=$PATH:$RPM_BUILD_ROOT/usr/bin
export PYTHONPATH=$PWD
PYTHON=%{__python3} stestr-3 --test-path $OS_TEST_PATH run

%files -n python3-%{library}
%license LICENSE
%{python3_sitelib}/%{module}
%{python3_sitelib}/vif_plug_linux_bridge
%{python3_sitelib}/vif_plug_ovs
%{python3_sitelib}/vif_plug_noop
%{python3_sitelib}/%{module}-*.egg-info
%exclude %{python3_sitelib}/*/tests

%files -n python3-%{library}-tests
%license LICENSE
%{python3_sitelib}/*/tests

%if 0%{?with_doc}
%files -n python-%{library}-doc
%license LICENSE
%doc doc/build/html README.rst
%endif

%changelog
* Mon Jul 03 2023 Miguel Garcia <mgarciac@redhat.com> 2.4.1-1.20221116073809
- set default qos policy (rhbz#2174632)

* Wed Nov 16 2022 OSP Prod Chain <dev-null@redhat.com> 2.4.1-1.20221116073808.6b2050b
- Update patches
- Update TOX_CONSTRAINTS_FILE for stable/wallaby
- Update .gitreview for stable/wallaby

* Wed Sep 07 2022 OSP Prod Chain <dev-null@redhat.com> 2.4.0-1.20220907224104.6167658
- only register tables used by os-vif (rhbz#2124910)
- Use TCP keepalives for ovsdb connections (rhbz#2124910)

* Wed Jul 27 2022 OSP Prod Chain <dev-null@redhat.com> 2.4.0-1.20220727233642.6167658
- Update patches

* Mon Jul 18 2022 OSP Prod Chain <dev-null@redhat.com> 2.4.0-1.20220718100803.6167658
- Update patches

* Thu Jul 14 2022 OSP Prod Chain <dev-null@redhat.com> 2.4.0-1.20220714102023.6167658
- Update patches

* Tue Jul 12 2022 OSP Prod Chain <dev-null@redhat.com> 2.4.0-0.20220712134856.6167658
- Check for hybrid plugging in OVS (rhbz#2103147)

* Thu May 27 2021 OSP Prod Chain <dev-null@redhat.com> 2.4.0-0.20210527205125.6167658
- Update patches

* Wed Mar 24 2021 OSP Prod Chain <dev-null@redhat.com> 2.4.0-1
- Update patches

* Wed Mar 10 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Resolve dependency issues
- Drop use of deprecated collections classes

* Tue Dec 15 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Mon Dec 14 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix hacking min version to 3.0.1
- Fix - os-vif fails to get the correct UpLink Representor
- tox: Rename 'UPPER_CONSTRAINTS_FILE' -> 'TOX_CONSTRAINTS_FILE'
- Add Python3 wallaby unit tests
- Update master for stable/victoria
- Refactor code of linux_net to more cleaner and increase performace

* Fri Nov 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Wed Oct 21 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Sun Sep 13 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Thu Sep 10 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- deprecate ovs-vsctl driver and make native the default
- windows: Add missing return
- update tox envs and support pdf docs
- [goal] migrate testing to ubuntu focal
- support pyroute2 0.5.13

* Tue Jun 30 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Use unittest.mock instead of third party mock
- Switch to newer openstackdocstheme and reno versions
- Remove .testr.conf
- Remove egg_info in setup.cfg
- Remove translation sections from setup.cfg
- Remove six
- [Community goal] Update contributor documentation
- Add Python3 victoria unit tests
- Update master for stable/ussuri
- Fix doc build job for wanring turn into error
- trivial: Remove some rules from flake8 ignore list
- Update hacking for Python3

* Thu Apr 16 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Thu Mar 19 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Thu Mar 05 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- [OVS] VLAN tag should be set in the Port register
- Revert "[Follow Up] OVS DPDK port representors support"
- move os-vif-ovs to be a non legacy job.
- [Follow Up] OVS DPDK port representors support
- Drop python2 support and testing
- Switch to Ussuri jobs
- Update the constraints url
- Update master for stable/train

* Wed Nov 13 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches


